import request from '@/utils/request'

// 查询城市管理-行政处罚信息列表
export function listPenalty(query) {
    return request({
        url: '/crmUrbanAdministrationPenalty/findByPage',
        method: 'get',
        params: query
    })
}

// 查询城市管理-行政处罚信息详细
export function getPenalty(id) {
    return request({
        url: '/crmUrbanAdministrationPenalty/' + id,
        method: 'get'
    })
}

// 新增城市管理-行政处罚信息
export function addPenalty(data) {
    return request({
        url: '/crmUrbanAdministrationPenalty',
        method: 'post',
        data: data
    })
}

// 修改城市管理-行政处罚信息
export function updatePenalty(data) {
    return request({
        url: '/crmUrbanAdministrationPenalty',
        method: 'put',
        data: data
    })
}

// 删除城市管理-行政处罚信息
export function delPenalty(id) {
    return request({
        url: '/crmUrbanAdministrationPenalty/deleteAll',
        method: 'delete'
    })
}
// 批量删除行政许可
export function delPenaltyBatch(ids) {
    console.log(ids);
    return request.post('/crmUrbanAdministrationPenalty/delete',ids)
}